<template>
  <div id='footer'>
    {{text}}
  </div>
</template>

<script lang='ts'>
  import {Component, Prop, Vue} from 'vue-property-decorator';

  @Component({
    name: 'Footer',
  })
  export default class Footer extends Vue {
    @Prop(String) private readonly text!: string;
  }
</script>

<style>
  #footer {
    border: 0.125rem solid black;
    border-radius: 0.125rem;
    font-weight: 800;
    background-color: aquamarine;
    color: #ffff;
    position: absolute;
    width: 100%;
    bottom: 0;
    text-align: center;
  }
</style>
